---
search:
  tags:
    - Relations
    - DELETE
seo:
  description: >-
    Remove a specific product from a… Reference for the DELETE
    /api/v1/{team_slug}/{app_slug}/relations/{relation_id}/{product_id} endpoint
    in the Management API.
sidebar:
  label: Remove a product from a relation
  badge: DELETE
title: Remove a product from a relation
type: openapi-operation
---
Remove a specific product from a product relation. If only one product remains in the relation, the entire relation is deleted

`DELETE /api/v1/{team_slug}/{app_slug}/relations/{relation_id}/{product_id}`

**Responses**

- `200` — Relation removed when fewer than two products remain; the OpenAPI distribution also accepts OkResponseRelation when it remains
- `400` — Invalid request (e.g. bad UUID, validation error)
- `401` — Unauthorized access
- `422` — Invalid request and not parsable by backend
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "direction": "string",
    "id": "string",
    "primary_product_id": "string",
    "products": [
      {
        "description": "string",
        "id": "string",
        "image_url": "string",
        "product_name": "string",
        "product_number": "string",
        "slug": "string"
      }
    ],
    "title": "string",
    "type": "string",
    "type_id": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}
```
